Bug 432156

Summary: Xen hvm guest does not accept DHCP offer when booting from pxe
Product: [Fedora] Fedora Reporter: Egon Kastelijn <redhat2>
Component: xenAssignee: Xen Maintainance List <xen-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 8CC: mgregg
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 00:57:13 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Output of the Tshark sniff
none
Xen guest configuration
none
Xen guest vncviewer screenshot none

Description Egon Kastelijn 2008-02-09 02:35:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
When I create a Xen HVM guest with the (new) option boot="n", then it starts the PXE environment and does a DHCP request nicely.
But the DHCP-offer from the server is not accepted by the guest.
I used tshark to sniff on virbr0 to verify that that the DHCP-offer is coming back.

Version-Release number of selected component (if applicable):
kernel-2.6.21-2952.fc8xen  xen-3.1.2-1.fc8  

How reproducible:
Always


Steps to Reproduce:
1. Create a Xen HVM guest configuration (see attachment)
2. Start tshark on virbr0 (tshark -n -i virbr0)
3. Start the Xen guest (xm create etherboot)
4. Monitor the Xen guest (vncviewer localhost)

Actual Results:
The DHCP-server sends the DHCP-offer, but the Xen guest does not receive/accept it.

Expected Results:
The Xen guest should receive the DHCP-offer.

Additional info:
This occurs on x86_64 and i386 machines.
Comment 1 Egon Kastelijn 2008-02-09 02:37:20 EST
Created attachment 294455 [details]
Output of the Tshark sniff
Comment 2 Egon Kastelijn 2008-02-09 02:39:14 EST
Created attachment 294457 [details]
Xen guest configuration
Comment 3 Egon Kastelijn 2008-02-09 15:46:53 EST
Created attachment 294478 [details]
Xen guest vncviewer screenshot
Comment 4 Egon Kastelijn 2008-02-10 04:19:38 EST
I did some more searching, and found this:

http://lists.xensource.com/archives/html/xen-devel/2006-12/msg01080.html 

Could the driver in the etherboot code (that is triggered by the option
'boot="n"' in my Xen guest config) have the same Qemu-dm incompatibility as the
Vista driver?
Comment 5 Bug Zapper 2008-11-26 04:44:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:57:13 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.